net.sf.saxon.event

## Class ReceiverOptions

- java.lang.Object
- - net.sf.saxon.event.ReceiverOptions

-     public class ReceiverOptions
      extends Object

  ReceiverOptions defines a set of constants, which can be used in calls to methods on the Receiver interface. The values are bit-significant.
  Author:
    Michael H. Kay

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULTED_ATTRIBUTE` Flag indicating that an attribute value was added by the schema processor because a default value was specified
    `static int` | `DISABLE_CHARACTER_MAPS` Flag to disable use of character maps
    `static int` | `DISABLE_ESCAPING` Flag to disable output escaping
    `static int` | `DISINHERIT_NAMESPACES` Flag passed on startElement indicating that the element does not inherit the namespaces of its ancestors.
    `static int` | `ID_IDREF_CHECKED` Flag indicating that the ID/IDREF properties have been set if applicable: if this bit is set, then the absence of the IS_ID bit means the node is not an ID, and similarly for IS_IDREF
    `static int` | `IS_ID` Flag indicating an element or attribute that has the is-id property
    `static int` | `IS_IDREF` Flag indicating an element or attribute that has the is-idref property (indicating that it is an IDREF or IDREFS attribute)
    `static int` | `MUTABLE_TREE` Flag set on startDocument() to indicate that the constructed document must be updateable
    `static int` | `NAMESPACE_OK` Flag indicating that the namespace (of an element or attribute name) has already been declared; it does not need to be generated by the namespace fixup process.
    `static int` | `NILLABLE_ELEMENT` Flag used with character content that has been validated against a nillable element declaration.
    `static int` | `NILLED_ELEMENT` Flag used with character content that has been validated against a nillable element declaration.
    `static int` | `NO_SPECIAL_CHARS` Flag indicating that the value contains no special characters that need to be escaped
    `static int` | `REJECT_DUPLICATES` Flag indicating that duplicate values should be rejected
    `static int` | `TERMINATE` Flag set on startDocument() in relation to an xsl:message call with terminate="yes"
    `static int` | `USE_NULL_MARKERS` Flag used when an attribute value or text node contains null characters before and after strings generated by character mapping; these strings are to be output without escaping
    `static int` | `WHOLE_TEXT_NODE` Flag used with the characters() event to indicate that the event represents an entire text node, that is, the text node has not been fragmented over several characters() events

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReceiverOptions()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DISABLE_ESCAPING

          public static final int DISABLE_ESCAPING

      Flag to disable output escaping
      See Also:
        Constant Field Values

    - #### DISABLE_CHARACTER_MAPS

          public static final int DISABLE_CHARACTER_MAPS

      Flag to disable use of character maps
      See Also:
        Constant Field Values

    - #### NO_SPECIAL_CHARS

          public static final int NO_SPECIAL_CHARS

      Flag indicating that the value contains no special characters that need to be escaped
      See Also:
        Constant Field Values

    - #### DEFAULTED_ATTRIBUTE

          public static final int DEFAULTED_ATTRIBUTE

      Flag indicating that an attribute value was added by the schema processor because a default value was specified
      See Also:
        Constant Field Values

    - #### NILLED_ELEMENT

          public static final int NILLED_ELEMENT

      Flag used with character content that has been validated against a nillable element declaration. Needed because of a peculiar rule for validating xs:key values
      See Also:
        Constant Field Values

    - #### REJECT_DUPLICATES

          public static final int REJECT_DUPLICATES

      Flag indicating that duplicate values should be rejected
      See Also:
        Constant Field Values

    - #### NAMESPACE_OK

          public static final int NAMESPACE_OK

      Flag indicating that the namespace (of an element or attribute name) has already been declared; it does not need to be generated by the namespace fixup process.
      See Also:
        Constant Field Values

    - #### DISINHERIT_NAMESPACES

          public static final int DISINHERIT_NAMESPACES

      Flag passed on startElement indicating that the element does not inherit the namespaces of its ancestors.
      See Also:
        Constant Field Values

    - #### USE_NULL_MARKERS

          public static final int USE_NULL_MARKERS

      Flag used when an attribute value or text node contains null characters before and after strings generated by character mapping; these strings are to be output without escaping
      See Also:
        Constant Field Values

    - #### NILLABLE_ELEMENT

          public static final int NILLABLE_ELEMENT

      Flag used with character content that has been validated against a nillable element declaration. Needed because of a peculiar rule for validating xs:key values
      See Also:
        Constant Field Values

    - #### WHOLE_TEXT_NODE

          public static final int WHOLE_TEXT_NODE

      Flag used with the characters() event to indicate that the event represents an entire text node, that is, the text node has not been fragmented over several characters() events
      See Also:
        Constant Field Values

    - #### IS_ID

          public static final int IS_ID

      Flag indicating an element or attribute that has the is-id property
      See Also:
        Constant Field Values

    - #### IS_IDREF

          public static final int IS_IDREF

      Flag indicating an element or attribute that has the is-idref property (indicating that it is an IDREF or IDREFS attribute)
      See Also:
        Constant Field Values

    - #### ID_IDREF_CHECKED

          public static final int ID_IDREF_CHECKED

      Flag indicating that the ID/IDREF properties have been set if applicable: if this bit is set, then the absence of the IS_ID bit means the node is not an ID, and similarly for IS_IDREF
      See Also:
        Constant Field Values

    - #### TERMINATE

          public static final int TERMINATE

      Flag set on startDocument() in relation to an xsl:message call with terminate="yes"
      See Also:
        Constant Field Values

    - #### MUTABLE_TREE

          public static final int MUTABLE_TREE

      Flag set on startDocument() to indicate that the constructed document must be updateable
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ReceiverOptions

          public ReceiverOptions()

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.